com.taosdata.jdbc.common

## Class Endpoint

- java.lang.Object
- - com.taosdata.jdbc.common.Endpoint

    public class Endpoint
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Endpoint(String host, int port, boolean isIpv6)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`String` `getHost()`
`int` `getPort()`
`int` `hashCode()`
`boolean` `isIpv6()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Endpoint

    public Endpoint(String host,
                    int port,
                    boolean isIpv6)

### Method Detail

#### getHost

    public String getHost()

#### getPort

    public int getPort()

#### isIpv6

    public boolean isIpv6()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`